#include "htmltextdelegate.h"

#include "htmltextdelegate.h"

#include <QtGui>
#include <QtGui/QApplication>

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    QTableWidget tableWidget(4, 4);
    tableWidget.setItemDelegate(new HtmlDelegate);
    tableWidget.setEditTriggers(QAbstractItemView::DoubleClicked
                                | QAbstractItemView::SelectedClicked);
    tableWidget.setSelectionBehavior(QAbstractItemView::SelectRows);

    tableWidget.horizontalHeader()->setResizeMode(QHeaderView::Stretch);
    tableWidget.verticalHeader()->setResizeMode(QHeaderView::Interactive);
    tableWidget.verticalHeader()->setDefaultSectionSize(60);

    QString str = "<b><font color=red>Bold</font></b>"
                  "<i><font color=blue> Italic</font></i><br>"
                  "<u><font color=green>Underline</font></u>";

     for (int row = 0; row != tableWidget.rowCount(); ++row) {
        for(int column = 0; column != tableWidget.columnCount(); ++column) {
            QTableWidgetItem *item = new QTableWidgetItem;
            item->setText(str);
            tableWidget.setItem(row,column,item);
        }
     }

    tableWidget.resizeColumnsToContents();
    tableWidget.resize(500, 300);
    tableWidget.show();

    return app.exec();
}
